Bug 433632 - "df" command return bad results
"df" command return bad results
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: coreutils (Show other bugs)
All Linux
low Severity medium
: rc
: ---
Assigned To: Ondrej Vasik
Depends On:
  Show dependency treegraph
Reported: 2008-02-20 09:48 EST by Equipe SMART
Modified: 2009-07-15 09:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-15 09:46:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Equipe SMART 2008-02-20 09:48:07 EST
Description of problem: Command "df" doesn't return good results. For example
when we execute "df -k" we get following result for /tmp partition:
/dev/hda5              9920592 -73786976294838134616   9480372 101% /tmp
Used disk space is negative.

[root@polux6 tmp]# du -ks .
108     .
We can see that /tmp partition  can not be full as indicate in command "df" result.

Execution of «fsck» command hasn’t allowed resolving the problem. “df” return
always the same result.

Version-Release number of selected component (if applicable):

How reproducible: everytime by using "df" command

Steps to Reproduce:
1. Execute "df"
2. Execute "du -ks /*" 
3. Compare the two first results for each partition

Actual results: "df" return bad results 

Expected results: "df" return good results

Additional info:
Comment 1 Phil Knirsch 2008-04-15 08:41:22 EDT
Reassigning to coreutils, as that contains the df/du commands which seem to be
the problem here.
Comment 2 Ondrej Vasik 2008-04-15 09:17:03 EDT
Actually comparing df and du is not good idea and could lead to wrong results.
Anyway this is not the case of that issue. I have seen several bugzillas with
similar issues (#135596, #128418). 

Could you please provide strace log of the failure case? This could be helpful.
Comment 3 Ondrej Vasik 2009-07-15 09:46:38 EDT
Closing insufficient data - feel free to reopen the bugzilla if you provide strace log of failure and you still experience that issue.

Note You need to log in before you can comment on or make changes to this bug.